%define	version	1.1.13
%define	release	%mkrel 1

%define	name	cln
%define	major	4
%define	libname	%mklibname %{name} %{major}

Summary:	C++ Class Library for Numbers
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Mathematics
Source0:	ftp://ftpthep.physik.uni-mainz.de/pub/gnu/%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.1.9-string.patch.bz2
URL:		http://www.ginac.de/CLN/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gmp-devel

%description
A GPLed collection of C++ math classes and functions, that will bring
efficiency, type safety, algebraic syntax to everyone in a memory
and speed efficient library.

%package -n	%{libname}
Summary:	C++ Class Library for Numbers
Group:		Sciences/Mathematics
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
A GPLed collection of C++ math classes and functions, that will bring
efficiency, type safety, algebraic syntax to everyone in a memory
and speed efficient library.

%package -n	%{libname}-devel
Summary:	Development files for programs using the CLN library
Group:		Development/C++
Requires(post):	/sbin/install-info
Requires(preun): /sbin/install-info
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package is necessary if you wish to develop software based on
the CLN library.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make

%check
%make check

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

# prepare documents
%{__rm} -rf documents
%{__mkdir} documents
%{__mv} %{buildroot}%{_datadir}/html documents/
%{__cp} --parents examples/*.cc documents/

%{__rm} -rf %{buildroot}%{_datadir}/dvi

%multiarch_binaries %buildroot%_bindir/%name-config

%clean
%{__rm} -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel
%_install_info %{name}.info

%preun -n %{libname}-devel
%_remove_install_info %{name}.info

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc ChangeLog NEWS README TODO* documents/*
%{_bindir}/cln-config
%multiarch_bindir/%name-config
%{_datadir}/aclocal/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_infodir}/*.info*
%{_mandir}/man1/*


%changelog
* Mon Jan 22 2007 Lenny Cartier <lenny@mandriva.com> 1.1.13-1mdv2007.0
+ Revision: 111741
- Update to 1.1.13
- Import cln



* Wed Aug 02 2006 Lenny Cartier <lenny@mandriva.com> 1.1.11-2mdv2007.0
- rebuild

* Fri Mar 17 2006 Lenny Cartier <lenny@mandriva.com> 1.1.11-1mdk
- 1.1.11

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.1.10-2mdk
- bump lib major

* Sat Nov 05 2005 David Walluck <walluck@mandriva.org> 1.1.10-1mdk
- 1.1.10

* Fri Sep 02 2005 David Walluck <walluck@mandriva.org> 1.1.9-3mdk
- patch for gcc4
- don't use PreReq

* Thu May 05 2005 Olivier Thauvin <nanardon@mandriva.org> 1.1.9-2mdk
- multiarch

* Mon Dec 27 2004 Abel Cheung <deaddog@mandrake.org> 1.1.9-1mdk
- New version
- Change group, avoid dumping everything into kitchen sink

* Tue Jul 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.8-1mdk
- 1.1.8

* Mon Jun 21 2004 Abel Cheung <deaddog@deaddog.org> 1.1.7-2mdk
- fix macros
- fix dep
- fix major

* Sat Jun 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.7-1mdk
- 1.1.7
- use %%mklibname
- update url
- cosmetics

* Wed Oct 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-4mdk
- rebuild for provides devel(libcln)

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-3mdk
- rebuild

* Fri Jun 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-2mdk
- use --libdir

* Fri Jun 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-1mdk
- 1.1.5

* Wed Nov 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3

* Wed Aug 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-1mdk
- added by Thomas Leclerc <leclerc@linux-mandrake.com> :
	- first Mandrake release

* Thu Aug  2 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 1.1.2-0.3mdk
- apply library policy
- use O2 since O3 fails

* Wed Aug  1 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 1.1.2-0.2mdk
- don't use configure macro

* Wed Aug  1 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 1.1.2-0.1mdk
- initial Mandrake buid
- spec modified from source archive (more macros)
- disable forcing libtoolize
